org.h2.bnf

## Class RuleExtension

- java.lang.Object
- - org.h2.bnf.RuleExtension

All Implemented Interfaces:
  Rule

    public class RuleExtension
    extends java.lang.Object
    implements Rule

Represents a non-standard syntax.

### Constructor Summary

Constructors
Constructor and Description
`RuleExtension(Rule rule, boolean compatibility)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(BnfVisitor visitor)` Call the visit method in the given visitor.
`boolean` `autoComplete(Sentence sentence)` Add the next possible token(s).
`void` `setLinks(java.util.HashMap<java.lang.String,RuleHead> ruleMap)` Update cross references.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RuleExtension

    public RuleExtension(Rule rule,
                         boolean compatibility)

### Method Detail

#### accept

    public void accept(BnfVisitor visitor)

Description copied from interface: `Rule`
Call the visit method in the given visitor.

Specified by:
  `accept` in interface `Rule`
Parameters:
  `visitor` - the visitor

#### setLinks

    public void setLinks(java.util.HashMap<java.lang.String,RuleHead> ruleMap)

Description copied from interface: `Rule`
Update cross references.

Specified by:
  `setLinks` in interface `Rule`
Parameters:
  `ruleMap` - the reference map

#### autoComplete

    public boolean autoComplete(Sentence sentence)

Description copied from interface: `Rule`
Add the next possible token(s). If there was a match, the query in the sentence is updated (the matched token is removed).

Specified by:
  `autoComplete` in interface `Rule`
Parameters:
  `sentence` - the sentence context
Returns:
  true if a full match

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`